Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.jsp.ui
Class InputTransferSelectTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts2.views.jsp.StrutsBodyTagSupport
                  org.apache.struts2.views.jsp.ComponentTagSupport
                      org.apache.struts2.views.jsp.ui.AbstractUITag
                          org.apache.struts2.views.jsp.ui.AbstractListTag
                              org.apache.struts2.views.jsp.ui.InputTransferSelectTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

    public class InputTransferSelectTag

extends AbstractListTag

InputTransferSelect jsp tag.

See Also:
  Serialized Form

Field Summary
`protected String` | `addLabel`
`protected String` | `allowRemoveAll`
`protected String` | `allowUpDown`
`protected String` | `buttonCssClass`
`protected String` | `buttonCssStyle`
`protected String` | `downLabel`
`protected String` | `headerKey`
`protected String` | `headerValue`
`protected String` | `leftTitle`
`protected String` | `multiple`
`protected String` | `removeAllLabel`
`protected String` | `removeLabel`
`protected String` | `rightTitle`
`private static long` | `serialVersionUID`
`protected String` | `size`
`protected String` | `upLabel`

Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractListTag
`list, listKey, listValue`

Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`accesskey, cssClass, cssStyle, disabled, key, label, labelPosition, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, required, requiredposition, tabindex, template, templateDir, theme, title, tooltip, tooltipConfig, value`

Fields inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`component`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`InputTransferSelectTag()`

Method Summary
`String` | `getAddLabel()`
`String` | `getAllowRemoveAll()`
`String` | `getAllowUpDown()`
`Component` | `getBean(ValueStack stack, HttpServletRequest req, HttpServletResponse res)`
`String` | `getButtonCssClass()`
`String` | `getButtonCssStyle()`
`String` | `getDownLabel()`
`String` | `getHeaderKey()`
`String` | `getHeaderValue()`
`String` | `getLeftTitle()`
`String` | `getMultiple()`
`String` | `getRemoveAllLabel()`
`String` | `getRemoveLabel()`
`String` | `getRightTitle()`
`String` | `getSize()`
`String` | `getUpLabel()`
`protected void` | `populateParams()`
`void` | `setAddLabel(String addLabel)`
`void` | `setAllowRemoveAll(String allowRemoveAll)`
`void` | `setAllowUpDown(String allowUpDown)`
`void` | `setButtonCssClass(String buttonCssClass)`
`void` | `setButtonCssStyle(String buttonCssStyle)`
`void` | `setDownLabel(String downLabel)`
`void` | `setHeaderKey(String headerKey)`
`void` | `setHeaderValue(String headerValue)`
`void` | `setLeftTitle(String leftTitle)`
`void` | `setMultiple(String multiple)`
`void` | `setRemoveAllLabel(String removeAllLabel)`
`void` | `setRemoveLabel(String removeLabel)`
`void` | `setRightTitle(String rightTitle)`
`void` | `setSize(String size)`
`void` | `setUpLabel(String upLabel)`

Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractListTag
`setList, setListKey, setListValue`

Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`setAccesskey, setCssClass, setCssStyle, setDisabled, setKey, setLabel, setLabelposition, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequired, setRequiredposition, setTabindex, setTemplate, setTemplateDir, setTheme, setTitle, setTooltip, setTooltipConfig, setValue`

Methods inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`doEndTag, doStartTag, getComponent`

Methods inherited from class org.apache.struts2.views.jsp.StrutsBodyTagSupport
`altSyntax, findString, findValue, findValue, getBody, getStack, setId, toString, translateVariables`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### size

    protected String size

### multiple

    protected String multiple

### allowRemoveAll

    protected String allowRemoveAll

### allowUpDown

    protected String allowUpDown

### leftTitle

    protected String leftTitle

### rightTitle

    protected String rightTitle

### buttonCssClass

    protected String buttonCssClass

### buttonCssStyle

    protected String buttonCssStyle

### addLabel

    protected String addLabel

### removeLabel

    protected String removeLabel

### removeAllLabel

    protected String removeAllLabel

### upLabel

    protected String upLabel

### downLabel

    protected String downLabel

### headerKey

    protected String headerKey

### headerValue

    protected String headerValue

Constructor Detail

### InputTransferSelectTag

    public InputTransferSelectTag()

Method Detail

### getBean

    public Component getBean(ValueStack stack,
                             HttpServletRequest req,
                             HttpServletResponse res)

  Specified by:
    `getBean` in class `ComponentTagSupport`

### populateParams

    protected void populateParams()

  Overrides:
    `populateParams` in class `AbstractListTag`

### getSize

    public String getSize()

### setSize

    public void setSize(String size)

### getMultiple

    public String getMultiple()

### setMultiple

    public void setMultiple(String multiple)

### getAllowRemoveAll

    public String getAllowRemoveAll()

### setAllowRemoveAll

    public void setAllowRemoveAll(String allowRemoveAll)

### getAllowUpDown

    public String getAllowUpDown()

### setAllowUpDown

    public void setAllowUpDown(String allowUpDown)

### getLeftTitle

    public String getLeftTitle()

### setLeftTitle

    public void setLeftTitle(String leftTitle)

### getRightTitle

    public String getRightTitle()

### setRightTitle

    public void setRightTitle(String rightTitle)

### getButtonCssClass

    public String getButtonCssClass()

### setButtonCssClass

    public void setButtonCssClass(String buttonCssClass)

### getButtonCssStyle

    public String getButtonCssStyle()

### setButtonCssStyle

    public void setButtonCssStyle(String buttonCssStyle)

### getAddLabel

    public String getAddLabel()

### setAddLabel

    public void setAddLabel(String addLabel)

### getRemoveLabel

    public String getRemoveLabel()

### setRemoveLabel

    public void setRemoveLabel(String removeLabel)

### getRemoveAllLabel

    public String getRemoveAllLabel()

### setRemoveAllLabel

    public void setRemoveAllLabel(String removeAllLabel)

### getUpLabel

    public String getUpLabel()

### setUpLabel

    public void setUpLabel(String upLabel)

### getDownLabel

    public String getDownLabel()

### setDownLabel

    public void setDownLabel(String downLabel)

### getHeaderKey

    public String getHeaderKey()

### setHeaderKey

    public void setHeaderKey(String headerKey)

### getHeaderValue

    public String getHeaderValue()

### setHeaderValue

    public void setHeaderValue(String headerValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.